# S_Page Struct Reference

`#include <struct.h>`

## Data Fields
byte * | Image
int | Largeur
int | Hauteur
T_Palette | Palette
char | Commentaire [TAILLE_COMMENTAIRE+1]
char | Repertoire_fichier [TAILLE_CHEMIN_FICHIER]
char | Nom_fichier [TAILLE_CHEMIN_FICHIER]
byte | Format_fichier

## Field Documentation

byte* S_Page::Image

Referenced by Allouer_une_page(), Creer_nouvelle_page(), Download_infos_backup(), Download_infos_page_brouillon(), Download_infos_page_principal(), Initialiser_S_Page(), Liberer_une_page(), Upload_infos_page_brouillon(), and Upload_infos_page_principal().

int S_Page::Largeur

Referenced by Allouer_une_page(), Backup_avec_nouvelles_dimensions(), Backuper_et_redimensionner_brouillon(), Creer_nouvelle_page(), Download_infos_page_brouillon(), Download_infos_page_principal(), Initialiser_les_listes_de_backups_en_debut_de_programme(), Initialiser_S_Page(), Interchanger_image_principale_et_brouillon(), Liberer_une_page(), Taille_d_une_page(), Upload_infos_page_brouillon(), and Upload_infos_page_principal().

int S_Page::Hauteur

Referenced by Allouer_une_page(), Backup_avec_nouvelles_dimensions(), Backuper_et_redimensionner_brouillon(), Creer_nouvelle_page(), Download_infos_page_brouillon(), Download_infos_page_principal(), Initialiser_les_listes_de_backups_en_debut_de_programme(), Initialiser_S_Page(), Interchanger_image_principale_et_brouillon(), Liberer_une_page(), Taille_d_une_page(), Upload_infos_page_brouillon(), and Upload_infos_page_principal().

T_Palette S_Page::Palette

Referenced by Download_infos_page_brouillon(), Download_infos_page_principal(), Initialiser_S_Page(), Upload_infos_page_brouillon(), and Upload_infos_page_principal().

char S_Page::Commentaire[TAILLE_COMMENTAIRE+1]

Referenced by Download_infos_page_brouillon(), Download_infos_page_principal(), Initialiser_S_Page(), Upload_infos_page_brouillon(), and Upload_infos_page_principal().

char S_Page::Repertoire_fichier[TAILLE_CHEMIN_FICHIER]

Referenced by Download_infos_page_brouillon(), Download_infos_page_principal(), Initialiser_S_Page(), Upload_infos_page_brouillon(), and Upload_infos_page_principal().

char S_Page::Nom_fichier[TAILLE_CHEMIN_FICHIER]

Referenced by Download_infos_page_brouillon(), Download_infos_page_principal(), Initialiser_S_Page(), Upload_infos_page_brouillon(), and Upload_infos_page_principal().

byte S_Page::Format_fichier

Referenced by Download_infos_page_brouillon(), Download_infos_page_principal(), Initialiser_S_Page(), Upload_infos_page_brouillon(), and Upload_infos_page_principal().

The documentation for this struct was generated from the following file:

- struct.h